import * as ts from 'typescript';
export declare type GenerateScopedNameFn = (name: string, filepath: string, css: string) => string;
/**
 * Primarily from https://github.com/css-modules/css-modules-require-hook
 *
 * @export
 * @interface Opts
 */
export interface Opts {
    devMode?: boolean;
    extensions?: string[];
    ignore?: string | Function | RegExp;
    preprocessCss?(css: string, filePath: string): string;
    processCss?(css: string, filePath: string): string;
    processorOpts?: object;
    camelCase?: boolean | 'dashes' | 'only' | 'dashesOnly';
    append?: any[];
    prepend?: any[];
    use?: any[];
    createImportedName?: Function;
    generateScopedName?: string | GenerateScopedNameFn;
    hashPrefix?: string;
    mode?: string;
    rootDir?: string;
}
export default function (opts: Opts): (ctx: ts.TransformationContext) => ts.Transformer<ts.SourceFile>;
